/**
  **********************************************************************************
  * @file    eport_hal.c
  * @author  Product application department
  * @version V1.0
  * @date    2020.02.23
  * @brief   EPORT模块HAL层驱动.
  * @note 
  *
  @verbatim
  ===================================================================================
                                  ##### 更新 #####
  ===================================================================================
  [..] 更新时间:
  [..] 更新人:
  [..] 更新内容:
        1. nothing.
  @endverbatim
  */
#include "eport_hal.h"


/*** 全局变量定义 ***************************************************************/
/** @
  * @{volatile
  */
/** @ 
  * @}
  */
/** @ 
  * @{static
  */
/** @ 
  * @}
  */
/*** 常量定义 *******************************************************************/
/** @
  * @{const
  */
/** @ 
  * @}
  */

/*** 函数定义 *******************************************************************/




/**
 * @brief EPORT 第0组 pin0中断服务函数
 *
 * @retval 
*/
void HAL_EPORT0_0_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT,EPORT_PIN0);
}

/**
 * @brief EPORT 第0组 pin1中断服务函数
 * 
 * @retval 
*/
void HAL_EPORT0_1_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT,EPORT_PIN1);
}

/**
 * @brief EPORT 第0组 pin2中断服务函数
 * 
 * @retval NONE
*/
void HAL_EPORT0_2_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT,EPORT_PIN2);
}

/**
 * @brief EPORT 第0组 pin3中断服务函数
 * 
 * @retval NONE
*/
void HAL_EPORT0_3_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT,EPORT_PIN3);
}

/**
 * @brief EPORT 第0组 pin4中断服务函数
 * 
 * @retval NONE
*/
void HAL_EPORT0_4_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT,EPORT_PIN4);
}

/**
 * @brief EPORT 第0组 pin5中断服务函数
 * 
 * @retval NONE
*/
void HAL_EPORT0_5_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT,EPORT_PIN5);
}

/**
 * @brief EPORT 第0组 pin6中断服务函数
 * 
 * @retval NONE
*/
void HAL_EPORT0_6_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT,EPORT_PIN6);
}

/**
 * @brief EPORT 第0组 pin7中断服务函数
 * 
 * @retval NONE
*/
void HAL_EPORT0_7_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT,EPORT_PIN7);
}

/**
 * @brief EPORT 第1组 pin0(pin8)中断服务函数
 * 
 * @retval NONE
*/
void HAL_EPORT1_0_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT1,EPORT_PIN0);
}

/**
 * @brief EPORT 第1组 pin1(pin9)中断服务函数
 * 
 * @retval NONE
*/
void HAL_EPORT1_1_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT1,EPORT_PIN1);
}

/**
 * @brief EPORT 第1组 pin2(pin10)中断服务函数
 * 
 * @retval NONE
*/
void HAL_EPORT1_2_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT1,EPORT_PIN2);
}

/**
 * @brief EPORT 第1组 pin3(pin11)中断服务函数
 * 
 * @retval NONE
*/
void HAL_EPORT1_3_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT1,EPORT_PIN3);
}

/**
 * @brief EPORT 第1组 pin4(pin12)中断服务函数
 * 
 * @retval NONE
*/
void HAL_EPORT1_4_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT1,EPORT_PIN4);
}

/**
 * @brief EPORT 第1组 pin5(pin13)中断服务函数
 * 
 * @retval NONE
*/
void HAL_EPORT1_5_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT1,EPORT_PIN5);
}

/**
 * @brief EPORT 第1组 pin6(pin14)中断服务函数
 * 
 * @retval NONE
*/
void HAL_EPORT1_6_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT1,EPORT_PIN6);
}

/**
 * @brief EPORT 第1组 pin7(pin15)中断服务函数
 * 
 * @retval NONE
*/
void HAL_EPORT1_7_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT1,EPORT_PIN7);
}

/**
 * @brief EPORT 第2组 pin0(pin16)中断服务函数
 * 
 * @retval NONE
*/
void HAL_EPORT2_0_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT2,EPORT_PIN16);
}
/**
 * @brief EPORT 第2组 pin1(pin17)中断服务函数
 * 
 * @retval NONE
*/
void HAL_EPORT2_1_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT2,EPORT_PIN17);
}
/**
 * @brief EPORT 第2组 pin2(pin18)中断服务函数
 * 
 * @retval NONE
*/
void HAL_EPORT2_2_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT2,EPORT_PIN18);
}
/**
 * @brief EPORT 第2组 pin3(pin19)中断服务函数
 * 
 * @retval NONE
*/
void HAL_EPORT2_3_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT2,EPORT_PIN19);
}
/**
 * @brief EPORT 第2组 pin4(pin20)中断服务函数
 * 
 * @retval NONE
*/
void HAL_EPORT2_4_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT2,EPORT_PIN20);
}
/**
 * @brief EPORT 第2组 pin5(pin21)中断服务函数
 * 
 * @retval NONE
*/
void HAL_EPORT2_5_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT2,EPORT_PIN21);
}
/**
 * @brief EPORT 第2组 pin6(pin22)中断服务函数
 * 
 * @retval NONE
*/
void HAL_EPORT2_6_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT2,EPORT_PIN22);
}
/**
 * @brief EPORT 第2组 pin7(pin23)中断服务函数
 * 
 * @retval NONE
*/
void HAL_EPORT2_7_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT2,EPORT_PIN23);
}
/**
 * @brief EPORT 第3组 pin0(pin24)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT3_0_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT3,EPORT_PIN24);
}

/**
 * @brief EPORT 第3组 pin1(pin25)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT3_1_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT3,EPORT_PIN25);
}
/**
 * @brief EPORT 第3组 pin2(pin26)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT3_2_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT3,EPORT_PIN26);
}
/**
 * @brief EPORT 第3组 pin3(pin27)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT3_3_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT3,EPORT_PIN27);
}
/**
 * @brief EPORT 第3组 pin4(pin28)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT3_4_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT3,EPORT_PIN28);
}
/**
 * @brief EPORT 第3组 pin5(pin29)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT3_5_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT3,EPORT_PIN29);
}
/**
 * @brief EPORT 第3组 pin6(pin30)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT3_6_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT3,EPORT_PIN30);
}
/**
 * @brief EPORT 第3组 pin7(pin31)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT3_7_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT3,EPORT_PIN31);
}
/**
 * @brief EPORT 第4组 pin0(pin32)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT4_0_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT4,EPORT_PIN32);
}
/**
 * @brief EPORT 第4组 pin1(pin33)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT4_1_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT4,EPORT_PIN33);
}
/**
 * @brief EPORT 第4组 pin2(pin34)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT4_2_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT4,EPORT_PIN34);
}
/**
 * @brief EPORT 第4组 pin3(pin35)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT4_3_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT4,EPORT_PIN35);
}
/**
 * @brief EPORT 第4组 pin4(pin36)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT4_4_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT4,EPORT_PIN36);
}
/**
 * @brief EPORT 第4组 pin5(pin37)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT4_5_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT4,EPORT_PIN37);
}
/**
 * @brief EPORT 第4组 pin6(pin38)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT4_6_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT4,EPORT_PIN38);
}
/**
 * @brief EPORT 第4组 pin7(pin39)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT4_7_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT4,EPORT_PIN39);
}
/**
 * @brief EPORT 第5组 pin0(pin40)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT5_0_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT5,EPORT_PIN40);
}
/**
 * @brief EPORT 第5组 pin1(pin41)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT5_1_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT5,EPORT_PIN41);
}
/**
 * @brief EPORT 第5组 pin2(pin42)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT5_2_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT5,EPORT_PIN42);
}
/**
 * @brief EPORT 第5组 pin3(pin43)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT5_3_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT5,EPORT_PIN43);
}
/**
 * @brief EPORT 第5组 pin4(pin44)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT5_4_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT5,EPORT_PIN44);
}
/**
 * @brief EPORT 第5组 pin5(pin45)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT5_5_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT5,EPORT_PIN45);
}
/**
 * @brief EPORT 第5组 pin6(pin46)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT5_6_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT5,EPORT_PIN46);
}
/**
 * @brief EPORT 第5组 pin7(pin47)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT5_7_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT5,EPORT_PIN47);
}
/**
 * @brief EPORT 第6组 pin0(pin48)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT6_0_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT6,EPORT_PIN48);
}
/**
 * @brief EPORT 第6组 pin1(pin49)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT6_1_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT6,EPORT_PIN49);
}
/**
 * @brief EPORT 第6组 pin2(pin50)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT6_2_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT6,EPORT_PIN50);
}
/**
 * @brief EPORT 第6组 pin3(pin51)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT6_3_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT6,EPORT_PIN51);
}

/**
 * @brief EPORT 第6组 pin4(pin52)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT6_4_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT6,EPORT_PIN52);
}
/**
 * @brief EPORT 第6组 pin5(pin53)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT6_5_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT6,EPORT_PIN53);
}
/**
 * @brief EPORT 第6组 pin6(pin54)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT6_6_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT6,EPORT_PIN54);
}
/**
 * @brief EPORT 第6组 pin7(pin55)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT6_7_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT6,EPORT_PIN55);
}
/**
 * @brief EPORT 第7组 pin0(pin56)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT7_0_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT7,EPORT_PIN56);
}
/**
 * @brief EPORT 第7组 pin1(pin57)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT7_1_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT7,EPORT_PIN57);
}
/**
 * @brief EPORT 第7组 pin2(pin58)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT7_2_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT7,EPORT_PIN58);
}
/**
 * @brief EPORT 第7组 pin3(pin59)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT7_3_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT7,EPORT_PIN59);
}
/**
 * @brief EPORT 第7组 pin4(pin60)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT7_4_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT7,EPORT_PIN60);
}
/**
 * @brief EPORT 第7组 pin5(pin61)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT7_5_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT7,EPORT_PIN61);
}
/**
 * @brief EPORT 第7组 pin6(pin62)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT7_6_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT7,EPORT_PIN62);
}
/**
 * @brief EPORT 第7组 pin7(pin63)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT7_7_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT7,EPORT_PIN63);
}

/**
 * @brief EPORT 第8组 pin0(pin64)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT8_0_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT8,EPORT_PIN64);
}
/**
 * @brief EPORT 第8组 pin1(pin65)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT8_1_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT8,EPORT_PIN65);
}
/**
 * @brief EPORT 第8组 pin2(pin66)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT8_2_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT8,EPORT_PIN66);
}
/**
 * @brief EPORT 第8组 pin3(pin67)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT8_3_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT8,EPORT_PIN67);
}
/**
 * @brief EPORT 第8组 pin4(pin68)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT8_4_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT8,EPORT_PIN68);
}
/**
 * @brief EPORT 第8组 pin5(pin69)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT8_5_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT8,EPORT_PIN69);
}
/**
 * @brief EPORT 第8组 pin6(pin70)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT8_6_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT8,EPORT_PIN70);
}
/**
 * @brief EPORT 第8组 pin7(pin71)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT8_7_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT8,EPORT_PIN71);
}
/**
 * @brief EPORT 第9组 pin0(pin72)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT9_0_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT9,EPORT_PIN72);
}
/**
 * @brief EPORT 第9组 pin1(pin73)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT9_1_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT9,EPORT_PIN73);
}

/**
 * @brief EPORT 第9组 pin2(pin74)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT9_2_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT9,EPORT_PIN74);
}

/**
 * @brief EPORT 第9组 pin3(pin75)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT9_3_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT9,EPORT_PIN75);
}

/**
 * @brief EPORT 第9组 pin4(pin76)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT9_4_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT9,EPORT_PIN76);
}
/**
 * @brief EPORT 第9组 pin5(pin77)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT9_5_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT9,EPORT_PIN77);
}
/**
 * @brief EPORT 第9组 pin6(pin78)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT9_6_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT9,EPORT_PIN78);
}
/**
 * @brief EPORT 第9组 pin7(pin79)中断服务函数
 *
 * @retval 
*/

void HAL_EPORT9_7_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT9,EPORT_PIN79);
}
/**
 * @brief EPORT 第10组 pin0(pin80)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT10_0_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT10,EPORT_PIN80);
}
/**
 * @brief EPORT 第10组 pin1(pin81)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT10_1_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT10,EPORT_PIN81);
}
/**
 * @brief EPORT 第10组 pin2(pin82)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT10_2_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT10,EPORT_PIN82);
}
/**
 * @brief EPORT 第10组 pin3(pin83)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT10_3_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT10,EPORT_PIN83);
}
/**
 * @brief EPORT 第10组 pin4(pin84)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT10_4_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT10,EPORT_PIN84);
}
/**
 * @brief EPORT 第10组 pin5(pin85)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT10_5_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT10,EPORT_PIN85);
}
/**
 * @brief EPORT 第10组 pin6(pin86)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT10_6_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT10,EPORT_PIN86);
}
/**
 * @brief EPORT 第10组 pin7(pin87)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT10_7_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT10,EPORT_PIN87);
}
/**
 * @brief EPORT 第11组 pin0(pin88)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT11_0_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT11,EPORT_PIN88);
}
/**
 * @brief EPORT 第11组 pin1(pin89)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT11_1_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT11,EPORT_PIN89);
}
/**
 * @brief EPORT 第11组 pin2(pin90)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT11_2_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT11,EPORT_PIN90);
}
/**
 * @brief EPORT 第11组 pin3(pin91)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT11_3_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT11,EPORT_PIN91);
}
/**
 * @brief EPORT 第11组 pin4(pin92)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT11_4_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT11,EPORT_PIN92);
}
/**
 * @brief EPORT 第11组 pin5(pin93)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT11_5_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT11,EPORT_PIN93);
}
/**
 * @brief EPORT 第11组 pin6(pin94)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT11_6_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT11,EPORT_PIN94);
}
/**
 * @brief EPORT 第11组 pin7(pin95)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT11_7_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT11,EPORT_PIN95);
}
/**
 * @brief EPORT 第12组 pin0(pin96)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT12_0_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT12,EPORT_PIN96);
}
/**
 * @brief EPORT 第12组 pin1(pin97)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT12_1_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT12,EPORT_PIN97);
}
/**
 * @brief EPORT 第12组 pin2(pin98)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT12_2_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT12,EPORT_PIN98);
}
/**
 * @brief EPORT 第12组 pin3(pin99)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT12_3_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT12,EPORT_PIN99);
}
/**
 * @brief EPORT 第12组 pin4(pin100)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT12_4_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT12,EPORT_PIN100);
}
/**
 * @brief EPORT 第12组 pin5(pin101)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT12_5_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT12,EPORT_PIN101);
}
/**
 * @brief EPORT 第12组 pin6(pin102)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT12_6_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT12,EPORT_PIN102);
}
/**
 * @brief EPORT 第12组 pin7(pin103)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT12_7_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT12,EPORT_PIN103);
}
/**
 * @brief EPORT 第13组 pin0(pin104)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT13_0_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT13,EPORT_PIN104);
}
/**
 * @brief EPORT 第13组 pin1(pin105)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT13_1_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT13,EPORT_PIN105);
}
/**
 * @brief EPORT 第13组 pin2(pin106)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT13_2_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT13,EPORT_PIN106);
}
/**
 * @brief EPORT 第13组 pin3(pin107)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT13_3_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT13,EPORT_PIN107);
}
/**
 * @brief EPORT 第13组 pin4(pin108)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT13_4_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT13,EPORT_PIN108);
}
/**
 * @brief EPORT 第13组 pin5(pin109)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT13_5_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT13,EPORT_PIN109);
}
/**
 * @brief EPORT 第13组 pin6(pin110)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT13_6_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT13,EPORT_PIN110);
}
/**
 * @brief EPORT 第13组 pin7(pin111)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT13_7_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT13,EPORT_PIN111);
}
/**
 * @brief EPORT 第14组 pin0(pin112)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT14_0_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT14,EPORT_PIN112);
}
/**
 * @brief EPORT 第14组 pin1(pin113)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT14_1_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT14,EPORT_PIN113);
}
/**
 * @brief EPORT 第14组 pin2(pin114)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT14_2_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT14,EPORT_PIN114);
}
/**
 * @brief EPORT 第14组 pin3(pin115)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT14_3_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT14,EPORT_PIN115);
}
/**
 * @brief EPORT 第14组 pin4(pin116)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT14_4_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT14,EPORT_PIN116);
}
/**
 * @brief EPORT 第14组 pin5(pin117)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT14_5_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT14,EPORT_PIN117);
}
/**
 * @brief EPORT 第14组 pin6(pin118)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT14_6_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT14,EPORT_PIN118);
}
/**
 * @brief EPORT 第14组 pin7(pin119)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT14_7_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT14,EPORT_PIN119);
}
/**
 * @brief EPORT 第15组或第16组 pin0(pin120 or pin128)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT15_0_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT15,EPORT_PIN120);
	DRV_EPORT_IRQHandler(EPORT16,EPORT_PIN128);
}
/**
 * @brief EPORT 第15组或第16组 pin1(pin121 or pin129)中断服务函数
 *
 * @retval 
*/

void HAL_EPORT15_1_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT15,EPORT_PIN121);
	DRV_EPORT_IRQHandler(EPORT16,EPORT_PIN129);
}
/**
 * @brief EPORT 第15组或第16组 pin2(pin122 or pin130)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT15_2_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT15,EPORT_PIN122);
	DRV_EPORT_IRQHandler(EPORT16,EPORT_PIN130);
}
/**
 * @brief EPORT 第15组或第16组 pin3(pin123 or pin131)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT15_3_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT15,EPORT_PIN123);
	DRV_EPORT_IRQHandler(EPORT16,EPORT_PIN131);
}
/**
 * @brief EPORT 第15组或第16组 pin4(pin124 or pin132)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT15_4_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT15,EPORT_PIN124);
	DRV_EPORT_IRQHandler(EPORT16,EPORT_PIN132);
}
/**
 * @brief EPORT 第15组或第16组 pin5(pin125 or pin133)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT15_5_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT15,EPORT_PIN125);
	DRV_EPORT_IRQHandler(EPORT16,EPORT_PIN133);
}
/**
 * @brief EPORT 第15组或第16组 pin6(pin126 or pin134)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT15_6_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT15,EPORT_PIN126);
	DRV_EPORT_IRQHandler(EPORT16,EPORT_PIN134);
}
/**
 * @brief EPORT 第15组或第16组 pin7(pin127 or pin135)中断服务函数
 *
 * @retval 
*/
void HAL_EPORT15_7_IRQHandler(void)
{
	DRV_EPORT_IRQHandler(EPORT15,EPORT_PIN127);
	DRV_EPORT_IRQHandler(EPORT16,EPORT_PIN135);
}
/**
 * @brief 切换复用管脚为GINT(EPORT)
 * 
 * @@param[in] pEport：指向eport组号指针
 * @@param[in] Pins：eport pin脚
 * @retval NONE
*/



void HAL_EPORT_GintSwitch(EPORT_TypeDef *pEport, uint8_t Pins)
{
	uint8_t i;
	if(EPORT == pEport)
	{

	}
	else if(EPORT1 == pEport)
	{
		for( i=0; i<8; i++)
		{
			if(Pins&(0x1<<i))
			{
				switch(i)
				{
					case 0:
						DRV_IOCTRL_SwapintEn(8);//PIN8   SWAPINTCR 0x5C
					break;
					case 1:
						DRV_IOCTRL_SwapintEn(9);//PIN9   SWAPINTCR 0x5C
					break;					
					case 2:
						DRV_IOCTRL_SwapintEn(10);//PIN10   SWAPINTCR 0x5C
					break;									
					case 3:
						DRV_IOCTRL_SwapintEn(11);//PIN11    SWAPINTCR 0x5C
					break;
					case 4:
						//PIN12
					break;
					case 5:
						DRV_IOCTRL_SwapDis(0);//PIN13    SWAPCR 0x1c
					break;
					case 6:
						DRV_IOCTRL_SwapDis(1);//PIN14    SWAPCR 0x1c
					break;
					case 7:
						DRV_IOCTRL_SwapDis(1);//PIN15     SWAPCR 0x1c
					break;
					default :
					break;
				}
			}
		}
	}
	else if(EPORT2 == pEport)
	{
		for( i=0; i<8; i++)
		{
			if(Pins&(0x1<<i))
			{
				switch(i)
				{
					case 0:
						DRV_IOCTRL_SwapintEn(0);//PIN16   SWAPINTCR 0x5C
					break;
					case 1:
						DRV_IOCTRL_SwapintEn(1);//PIN17   SWAPINTCR 0x5C
					break;					
					case 2:
						DRV_IOCTRL_SwapintEn(2);//PIN18   SWAPINTCR 0x5C
					break;									
					case 3:
						DRV_IOCTRL_SwapintEn(3);//PIN19    SWAPINTCR 0x5C
					break;
					case 4:
						DRV_IOCTRL_SwapintEn(4);//PIN20    SWAPINTCR 0x5C
					break;
					case 5:
						//PIN21
					break;
					case 6:
						//PIN22
					break;
					case 7:
						//PIN23
					break;
					default :
					break;
				}
			}
		}
	}
	else if(EPORT3 == pEport)
	{
		for( i=0; i<8; i++)
		{
			if(Pins&(0x1<<i))
			{
				switch(i)
				{
					case 0:
						DRV_IOCTRL_Swap2En(8);//PIN24   SWAP2CR  0x60
					break;
					case 1:
						DRV_IOCTRL_Swap2En(9);//PIN25   SWAP2CR  0x60
					break;					
					case 2:
						DRV_IOCTRL_Swap2En(10);//PIN26   SWAP2CR  0x60
					break;									
					case 3:
						DRV_IOCTRL_Swap2En(11);//PIN27   SWAP2CR  0x60
					break;
					case 4:
						DRV_IOCTRL_Swap2En(12);//PIN28   SWAP2CR  0x60
					break;
					case 5:
						DRV_IOCTRL_Swap2En(13);//PIN29   SWAP2CR  0x60
					break;
					case 6:
						DRV_IOCTRL_Swap2En(14);//PIN30   SWAP2CR  0x60
					break;
					case 7:
						DRV_IOCTRL_Swap2En(15);//PIN31    SWAP2CR  0x60
					break;
					default :
					break;
				}
			}
		}
	}
	else if(EPORT4 == pEport)
	{
		for( i=0; i<8; i++)
		{
			if(Pins&(0x1<<i))
			{
				switch(i)
				{
					case 0:
						DRV_IOCTRL_Swap2En(20);//PIN32   SWAP2CR  0x60
					break;
					case 1:
						DRV_IOCTRL_Swap2En(21);//PIN33    SWAP2CR  0x60
					break;					
					case 2:
						DRV_IOCTRL_Swap2En(22);//PIN34    SWAP2CR  0x60
					break;									
					case 3:
						DRV_IOCTRL_Swap2En(23);//PIN35     SWAP2CR  0x60
					break;
					case 4:
						DRV_IOCTRL_Swap2En(24);//PIN36     SWAP2CR  0x60
					break;
					case 5:
						DRV_IOCTRL_Swap2En(25);//PIN37     SWAP2CR  0x60
					break;
					case 6:
						DRV_IOCTRL_Swap2En(26);//PIN38     SWAP2CR  0x60
					break;
					case 7:
						DRV_IOCTRL_Swap2En(27);//PIN39      SWAP2CR  0x60
					break;
					default :
					break;
				}
			}
		}
	}
	else if(EPORT5 == pEport)
	{
		for( i=0; i<8; i++)
		{
			if(Pins&(0x1<<i))
			{
				switch(i)
				{
					case 0:
						DRV_IOCTRL_Swap2En(28);//PIN40     SWAP2CR  0x60
					break;
					case 1:
						DRV_IOCTRL_Swap2En(29);//PIN41      SWAP2CR  0x60
					break;					
					case 2:
						DRV_IOCTRL_Swap2En(30);//PIN42     SWAP2CR  0x60
					break;									
					case 3:
						DRV_IOCTRL_Swap2En(31);//PIN43      SWAP2CR  0x60
					break;
					case 4:
						DRV_IOCTRL_Swap3En(0);//PIN44     SWAP3CR  0x64
					break;
					case 5:
						DRV_IOCTRL_Swap3En(1);//PIN45     SWAP3CR  0x64
					break;
					case 6:
						DRV_IOCTRL_Swap3En(2);//PIN46      SWAP3CR  0x64
					break;
					case 7:
						DRV_IOCTRL_Swap3En(3);//PIN47      SWAP3CR  0x64
					break;
					default :
					break;
				}
			}
		}
	}
	else if(EPORT6 == pEport)
	{
		for( i=0; i<8; i++)
		{
			if(Pins&(0x1<<i))
			{
				switch(i)
				{
					case 0:
						DRV_IOCTRL_Swap3En(8);//PIN48  SWAP3CR  0x64
					break;
					case 1:
						DRV_IOCTRL_Swap3En(9);//PIN49   SWAP3CR  0x64
					break;					
					case 2:
						DRV_IOCTRL_Swap3En(10);//PIN50    SWAP3CR  0x64
					break;									
					case 3:
						DRV_IOCTRL_Swap3En(11);//PIN51   SWAP3CR  0x64
					break;
					case 4:
						DRV_IOCTRL_Swap3En(12);//PIN52   SWAP3CR  0x64
					break;
					case 5:
						DRV_IOCTRL_Swap3En(13);//PIN53   SWAP3CR  0x64
					break;
					case 6:
						DRV_IOCTRL_Swap3En(14);//PIN54   SWAP3CR  0x64
					break;
					case 7:
						DRV_IOCTRL_Swap3En(15);//PIN55    SWAP3CR  0x64
					break;
					default :
					break;
				}
			}
		}
	}
	else if(EPORT7 == pEport)
	{
		for( i=0; i<8; i++)
		{
			if(Pins&(0x1<<i))
			{
				switch(i)
				{
					case 0:
						DRV_IOCTRL_Swap3En(16);//PIN56  SWAP3CR  0x64
					break;
					case 1:
						DRV_IOCTRL_Swap3En(17);//PIN57   SWAP3CR  0x64
					break;					
					case 2:
						DRV_IOCTRL_Swap3En(18);//PIN58   SWAP3CR  0x64
					break;									
					case 3:
						DRV_IOCTRL_Swap3En(19);//PIN59   SWAP3CR  0x64
					break;
					case 4:
						DRV_IOCTRL_Swap3En(20);//PIN60   SWAP3CR  0x64
					break;
					case 5:
						DRV_IOCTRL_Swap3En(21);//PIN61   SWAP3CR  0x64
					break;
					case 6:
						DRV_IOCTRL_Swap3En(22);//PIN62   SWAP3CR  0x64
					break;
					case 7:
						DRV_IOCTRL_Swap3En(23);//PIN63   SWAP3CR  0x64
					break;
					default :
					break;
				}
			}
		}
	}
	else if(EPORT8 == pEport)
	{
		for( i=0; i<8; i++)
		{
			if(Pins&(0x1<<i))
			{
				switch(i)
				{
					case 0:
						DRV_IOCTRL_Swap3En(4);//PIN64   SWAP3CR  0x64
					break;
					case 1:
						DRV_IOCTRL_Swap3En(5);//PIN65   SWAP3CR  0x64
					break;					
					case 2:
						DRV_IOCTRL_Swap3En(6);//PIN66   SWAP3CR  0x64
					break;									
					case 3:
						DRV_IOCTRL_Swap3En(7);//PIN67   SWAP3CR  0x64
					break;
					case 4:
						DRV_IOCTRL_Swap3En(24);//PIN68   SWAP3CR  0x64
					break;
					case 5:
						DRV_IOCTRL_Swap3En(25);//PIN69   SWAP3CR  0x64
					break;
					case 6:
						DRV_IOCTRL_Swap3En(25);//PIN70   SWAP3CR  0x64
					break;
					case 7:
						DRV_IOCTRL_Swap3En(26);//PIN71   SWAP3CR  0x64
					break;
					default :
					break;
				}
			}
		}
	}
	else if(EPORT9 == pEport)
	{
		for( i=0; i<8; i++)
		{
			if(Pins&(0x1<<i))
			{
				switch(i)
				{
					case 0:
						DRV_IOCTRL_Swap3En(27);//PIN72
					break;
					case 1:
						DRV_IOCTRL_Swap3En(28);//PIN73
					break;					
					case 2:
						DRV_IOCTRL_Swap3En(29);//PIN74
					break;									
					case 3:
						DRV_IOCTRL_Swap3En(30);//PIN75
					break;
					case 4:
						DRV_IOCTRL_Swap3En(31);//PIN76
					break;
					case 5:
						DRV_IOCTRL_Swap4En(0);//PIN77
					break;
					case 6:
						DRV_IOCTRL_Swap4En(1);//PIN78
					break;
					case 7:
						DRV_IOCTRL_Swap4En(2);//PIN79
					break;
					default :
					break;
				}
			}
		}
	}
	else if(EPORT10 == pEport)
	{
		for( i=0; i<8; i++)
		{
			if(Pins&(0x1<<i))
			{
				switch(i)
				{
					case 0:
						DRV_IOCTRL_Swap4En(3);//PIN80   SWAP4CR  0x68
					break;
					case 1:
						DRV_IOCTRL_Swap4En(4);//PIN81   SWAP4CR  0x68
					break;					
					case 2:
						DRV_IOCTRL_Swap4En(5);//PIN82   SWAP4CR  0x68
					break;									
					case 3:
						DRV_IOCTRL_Swap4En(6);//PIN83   SWAP4CR  0x68
					break;
					case 4:
						DRV_IOCTRL_Swap4En(7);//PIN84   SWAP4CR  0x68
					break;
					case 5:
						DRV_IOCTRL_Swap4En(8);//PIN85   SWAP4CR  0x68
					break;
					case 6:
						DRV_IOCTRL_Swap4En(9);//PIN86   SWAP4CR  0x68
					break;
					case 7:
						DRV_IOCTRL_Swap4En(10);//PIN87   SWAP4CR  0x68
					break;
					default :
					break;
				}
			}
		}
	}
	else if(EPORT11 == pEport)
	{
		for( i=0; i<8; i++)
		{
			if(Pins&(0x1<<i))
			{
				switch(i)
				{
					case 0:
						DRV_IOCTRL_SPIMSwapEn(0);//PIN88
					break;
					case 1:
						DRV_IOCTRL_SPIMSwapEn(1);//PIN89   SPIMSWAPCR 0x28
					break;					
					case 2:
						DRV_IOCTRL_SPIMSwapEn(2);//PIN90   SPIMSWAPCR 0x28
					break;									
					case 3:
						DRV_IOCTRL_SPIMSwapEn(3);//PIN91   SPIMSWAPCR 0x28
					break;
					case 4:
						DRV_IOCTRL_SPIMSwapEn(4);//PIN92   SPIMSWAPCR 0x28
					break;
					case 5:
						DRV_IOCTRL_SPIMSwapEn(5);//PIN93   SPIMSWAPCR 0x28
					break;
					case 6:
						DRV_IOCTRL_Swap2En(18);//PIN94  SWAP2CR  0x60
					break;
					case 7:
						DRV_IOCTRL_Swap2En(19);//PIN95  SWAP2CR  0x60
					break;
					default :
					break;
				}
			}
		}
	}
	else if(EPORT12 == pEport)
	{
		for( i=0; i<8; i++)
		{
			if(Pins&(0x1<<i))
			{
				switch(i)
				{
					case 0:
						DRV_IOCTRL_SPIMSwapEn(24);//PIN96   SPIMSWAPCR 0x28
					break;
					case 1:
						DRV_IOCTRL_SPIMSwapEn(25);//PIN97   SPIMSWAPCR 0x28
					break;					
					case 2:
						DRV_IOCTRL_SPIMSwapEn(26);//PIN98   SPIMSWAPCR 0x28
					break;									
					case 3:
						DRV_IOCTRL_SPIMSwapEn(27);//PIN99   SPIMSWAPCR 0x28
					break;
					case 4:
						DRV_IOCTRL_SPIMSwapEn(28);//PIN100   SPIMSWAPCR 0x28
					break;
					case 5:
						DRV_IOCTRL_SPIMSwapEn(29);//PIN101   SPIMSWAPCR 0x28
					break;
					case 6:
						DRV_IOCTRL_Swap2En(16);//PIN102   SWAP2CR  0x60
					break;
					case 7:
						DRV_IOCTRL_Swap2En(17);//PIN103  SWAP2CR  0x60
					break;
					default :
					break;
				}
			}
		}
	}
	else if(EPORT13 == pEport)
	{
		for( i=0; i<8; i++)
		{
			if(Pins&(0x1<<i))
			{
				switch(i)
				{
					case 0:
						DRV_IOCTRL_Swap4En(11);//PIN104   SWAP4CR  0x68
					break;
					case 1:
						DRV_IOCTRL_Swap4En(12);//PIN105   SWAP4CR  0x68
					break;					
					case 2:
						DRV_IOCTRL_Swap4En(13);//PIN106   SWAP4CR  0x68
					break;									
					case 3:
						DRV_IOCTRL_Swap4En(14);//PIN107   SWAP4CR  0x68
					break;
					case 4:
						DRV_IOCTRL_Swap4En(15);//PIN108   SWAP4CR  0x68
					break;
					case 5:
						DRV_IOCTRL_Swap4En(16);//PIN109   SWAP4CR  0x68
					break;
					case 6:
						DRV_IOCTRL_Swap4En(17);//PIN110   SWAP4CR  0x68
					break;
					case 7:
						DRV_IOCTRL_Swap4En(18);//PIN111   SWAP4CR  0x68
					break;
					default :
					break;
				}
			}
		}
	}
	else if(EPORT14 == pEport)
	{
		for( i=0; i<8; i++)
		{
			if(Pins&(0x1<<i))
			{
				switch(i)
				{
					case 0:
						DRV_IOCTRL_Swap4En(19);//PIN112   SWAP4CR  0x68
					break;
					case 1:
						DRV_IOCTRL_Swap4En(20);//PIN113   SWAP4CR  0x68
					break;					
					case 2:
						DRV_IOCTRL_Swap4En(21);//PIN114   SWAP4CR  0x68
					break;									
					case 3:
						DRV_IOCTRL_Swap4En(22);//PIN115   SWAP4CR  0x68
					break;
					case 4:
						DRV_IOCTRL_SetUSI2SWAPEn(16);//PIN116   USICR  0x04
					break;
					case 5:
						DRV_IOCTRL_SetUSI2SWAPEn(17);//PIN117   USICR  0x04
					break;
					case 6:
						DRV_IOCTRL_SetUSI2SWAPEn(18);//PIN118   USICR  0x04
					break;
					case 7:
						DRV_IOCTRL_Swap4En(23);//PIN119     SWAP4CR  0x68
					break;
					default :
					break;
				}
			}
		}
	}
	else if(EPORT15 == pEport)
	{
		for( i=0; i<8; i++)
		{
			if(Pins&(0x1<<i))
			{
				switch(i)
				{
					case 0:
						DRV_IOCTRL_Swap2En(0);//PIN120     SWAP2CR  0x60
					break;
					case 1:
						DRV_IOCTRL_Swap2En(1);//PIN121     SWAP2CR  0x60
					break;					
					case 2:
						DRV_IOCTRL_Swap2En(2);//PIN122     SWAP2CR  0x60
					break;									
					case 3:
						DRV_IOCTRL_Swap2En(3);//PIN123     SWAP2CR  0x60
					break;
					case 4:
						DRV_IOCTRL_Swap2En(4);//PIN124     SWAP2CR  0x60
					break;
					case 5:
						DRV_IOCTRL_Swap2En(5);//PIN125     SWAP2CR  0x60
					break;
					case 6:
						DRV_IOCTRL_Swap2En(6);//PIN126     SWAP2CR  0x60
					break;
					case 7:
						DRV_IOCTRL_Swap2En(7);//PIN127     SWAP2CR  0x60
					break;
					default :
					break;
				}
			}
		}
	}
	else if(EPORT16 == pEport)
	{
		for( i=0; i<8; i++)
		{
			if(Pins&(0x1<<i))
			{
				switch(i)
				{
					case 0:
						DRV_IOCTRL_Swap4En(24);//PIN128     SWAP4CR  0x68
					break;
					case 1:
						DRV_IOCTRL_Swap4En(25);//PIN129     SWAP4CR  0x68
					break;					
					case 2:
						DRV_IOCTRL_Swap4En(26);//PIN130     SWAP4CR  0x68
					break;									
					case 3:
						DRV_IOCTRL_Swap4En(27);//PIN131     SWAP4CR  0x68
					break;
					case 4:
						DRV_IOCTRL_Swap4En(28);//PIN132     SWAP4CR  0x68
					break;
					case 5:
						DRV_IOCTRL_Swap4En(29);//PIN133     SWAP4CR  0x68
					break;
					case 6:
						DRV_IOCTRL_Swap4En(30);//PIN134     SWAP4CR  0x68
					break;
					case 7:
						DRV_IOCTRL_Swap4En(31);//PIN135     SWAP4CR  0x68
					break;
					default :
					break;
				}
			}
		}
	}
}

/**
 * @brief EPORT 初始化
 * 
 * @@param[in] pEportInit：指向 eport初始化结构体的指针
 * @retval @ref HAL_StatusTypeDef
*/
HAL_StatusTypeDef HAL_EPORT_Init(EPORT_InitTypeDef *pEportInit)
{
    HAL_StatusTypeDef ret = HAL_OK;
    uint8_t i;

    HAL_EPORT_GintSwitch(pEportInit->Instance, pEportInit->pins);//管脚复用

    HAL_IOCTRL_GINTIint(&pEportInit->ioctrl_init);

    DRV_EPORT_SetDirection(pEportInit->Instance, pEportInit->pins, pEportInit->dir);

    DRV_EPORT_SetPullUp(pEportInit->Instance, pEportInit->pins, pEportInit->pull_up_status);

    DRV_EPORT_SetOpenDrain(pEportInit->Instance, pEportInit->pins, pEportInit->output_mode);

    if (ENABLE == pEportInit->it_status)
    {
        DRV_EPORT_SetTriggerMode(pEportInit->Instance, pEportInit->pins, pEportInit->it_type);//中断触发条件
        DRV_EPORT_SetIT(pEportInit->Instance, pEportInit->pins, ENABLE);//中断使能	
		
        if(pEportInit->Instance == EPORT)
        {
            for (i = 0; i < 8; i ++)
            {
                if (pEportInit->pins & (0x01<<i))
                {
                    NVIC_Init(3, 3, (EPORT0_0_IRQn + i), 2);
                }
            }
        }
        else if(pEportInit->Instance == EPORT1)
        {
            for (i = 0; i < 8; i ++)
            {
                if (pEportInit->pins & (0x01<<i))
                {
                    NVIC_Init(3, 3, (EPORT1_0_IRQn + i), 2);
                }
            }
        }
		else if(pEportInit->Instance == EPORT2)
        {
            for (i = 0; i < 8; i ++)
            {
                if (pEportInit->pins & (0x01<<i))
                {
                    NVIC_Init(3, 3, (EPORT2_0_IRQn + i), 2);
                }
            }
        }
		else if(pEportInit->Instance == EPORT3)
        {
            for (i = 0; i < 8; i ++)
            {
                if (pEportInit->pins & (0x01<<i))
                {
                    NVIC_Init(3, 3, (EPORT3_0_IRQn + i), 2);
                }
            }
        }
		else if(pEportInit->Instance == EPORT4)
        {
            for (i = 0; i < 8; i ++)
            {
                if (pEportInit->pins & (0x01<<i))
                {
                    NVIC_Init(3, 3, (EPORT4_0_IRQn + i), 2);
                }
            }
        }
		else if(pEportInit->Instance == EPORT5)
        {
            for (i = 0; i < 8; i ++)
            {
                if (pEportInit->pins & (0x01<<i))
                {
                    NVIC_Init(3, 3, (EPORT5_0_IRQn + i), 2);
                }
            }
        }
		else if(pEportInit->Instance == EPORT6)
        {
            for (i = 0; i < 8; i ++)
            {
                if (pEportInit->pins & (0x01<<i))
                {
                    NVIC_Init(3, 3, (EPORT6_0_IRQn + i), 2);
                }
            }
        }
		else if(pEportInit->Instance == EPORT7)
        {
            for (i = 0; i < 8; i ++)
            {
                if (pEportInit->pins & (0x01<<i))
                {
                    NVIC_Init(3, 3, (EPORT7_0_IRQn + i), 2);
                }
            }
        }
		else if(pEportInit->Instance == EPORT8)
        {
            for (i = 0; i < 8; i ++)
            {
                if (pEportInit->pins & (0x01<<i))
                {
                    NVIC_Init(3, 3, (EPORT8_0_IRQn + i), 2);
                }
            }
        }
		else if(pEportInit->Instance == EPORT9)
        {
            for (i = 0; i < 8; i ++)
            {
                if (pEportInit->pins & (0x01<<i))
                {
                    NVIC_Init(3, 3, (EPORT9_0_IRQn + i), 2);
                }
            }
        }
		else if(pEportInit->Instance == EPORT10)
        {
            for (i = 0; i < 8; i ++)
            {
                if (pEportInit->pins & (0x01<<i))
                {
                    NVIC_Init(3, 3, (EPORT10_0_IRQn + i), 2);
                }
            }
        }
		else if(pEportInit->Instance == EPORT11)
        {
            for (i = 0; i < 8; i ++)
            {
                if (pEportInit->pins & (0x01<<i))
                {
                    NVIC_Init(3, 3, (EPORT11_0_IRQn + i), 2);
                }
            }
        }
		else if(pEportInit->Instance == EPORT12)
        {
            for (i = 0; i < 8; i ++)
            {
                if (pEportInit->pins & (0x01<<i))
                {
                    NVIC_Init(3, 3, (EPORT12_0_IRQn + i), 2);
                }
            }
        }
		else if(pEportInit->Instance == EPORT13)
        {
            for (i = 0; i < 8; i ++)
            {
                if (pEportInit->pins & (0x01<<i))
                {
                    NVIC_Init(3, 3, (EPORT13_0_IRQn + i), 2);
                }
            }
        }
		else if(pEportInit->Instance == EPORT14)
        {
            for (i = 0; i < 8; i ++)
            {
                if (pEportInit->pins & (0x01<<i))
                {
                    NVIC_Init(3, 3, (EPORT14_0_IRQn + i), 2);
                }
            }
        }
		else if(pEportInit->Instance == EPORT15)
        {
            for (i = 0; i < 8; i ++)
            {
                if (pEportInit->pins & (0x01<<i))
                {
                    NVIC_Init(3, 3, (EPORT15_0_IRQn + i), 2);
                }
            }
        }
		else if(pEportInit->Instance == EPORT16)
        {
            for (i = 0; i < 8; i ++)
            {
                if (pEportInit->pins & (0x01<<i))
                {
                    NVIC_Init(3, 3, (EPORT15_0_IRQn + i), 2);
                }
            }
        }
    }

    return ret;
}

/**
 * @brief EPORT 向pin脚赋值
 * 
 * @@param[in] pEportInit：指向 eport初始化结构体的指针
 * @@param[in] Pins：需要操作的pin脚，bit操作
 * @@param[in] Level：pin脚执行状态，bit操作
 * @retval @ref HAL_StatusTypeDef
*/
void HAL_EPORT_WritePinsLevel(EPORT_TypeDef * pEport, uint8_t Pins, BitActionTypeDef Level)
{
    DRV_EPORT_WritePinsLevel(pEport, Pins, Level);
}

/**
 * @brief EPORT 读取pin脚状态
 * 
 * @@param[in] pEportInit：指向 eport初始化结构体的指针
 * @@param[in] Pins：需要操作的pin脚，bit操作
 * @retval pin脚状态，bit状态
*/
uint8_t HAL_EPORT_ReadPinsLevel(EPORT_TypeDef *pEport, uint8_t pins)
{
    return _eport_eppdr_pins_data_get(pEport, pins);
}

/**
 * @brief EPORT 读取单个pin脚状态
 * 
 * @@param[in] pEportInit：指向 eport初始化结构体的指针
 * @@param[in] Pin：需要操作的单个pin脚，bit操作
 * @retval 单个pin脚状态，bit状态
*/
BitActionTypeDef HAL_EPORT_ReadPinLevel(EPORT_TypeDef *pEport, uint8_t pin)
{
    if(_eport_eppdr_pins_data_get(pEport, pin))
    {
        return BIT_SET;
    }
    else
    {
        return BIT_RESET;
    }
}





